#ifndef CCTRLPARAMEDIT_H
#define CCTRLPARAMEDIT_H

#include <QLineEdit>
#include "cctrlparambase.h"
#include "CCtrlLineEdit.h"
class CTRLS_COMMON_EXPORT CCtrlParamEdit : public CCtrlParamBase
{
    Q_OBJECT
public:
    explicit CCtrlParamEdit(QWidget *parent = 0);
    CCtrlLineEdit* editparam;
    virtual void MTimeFresh();
    virtual void MFresh();
    virtual void MApply();
    void MParamInit(Variant* pParam,QString name=QString());
};

#endif // CCTRLPARAMEDIT_H
